import { Subscription } from "./Subscription";
import { MqttSensorQueue, QueueCallback, QueueHeader } from "@leftshiftone/gaia-sdk/dist";
import { IRenderer } from "../api";
export declare class InteractionSubscription extends Subscription {
    renderer: IRenderer;
    constructor(header: QueueHeader, callback: QueueCallback, mqttSensorQueue: MqttSensorQueue, renderer: IRenderer);
    /**
     * Initial request to make the system aware that the user is listening.
     */
    reception(attributes: object): void;
    onMessage(message: object): void;
}
